{ config, lib, pkgs, ... }:

{
  mkMutableSymlink =
    relativePath:
      lib.mkMutableSymlink (config.sydnix.configDir + relativePath);

  listNixFilesInDirectory = dir:
    builtins.attrNames
      (pkgs.lib.filterAttrs
        (k: _v: pkgs.lib.hasSuffix ".nix" k)
        (builtins.readDir dir));
}
